import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiColorDialogService } from "../../services/sti-color-dialog.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiRichTextService } from "../../services/sti-rich-text.service";
import * as i0 from "@angular/core";
export declare class StiColorOptionsDialogComponent implements OnInit {
    model: StiModelService;
    colorService: StiColorDialogService;
    loc: StiLocalizationService;
    richText: StiRichTextService;
    currentState: string;
    currentSelectedItem: string;
    constructor(model: StiModelService, colorService: StiColorDialogService, loc: StiLocalizationService, richText: StiRichTextService);
    checkRange(event: any, object: any, property: any): void;
    checkHex(event: any): void;
    changeState(state: any): void;
    get hex(): any;
    set hex(value: any);
    changeColor(): void;
    getColor(color: any): string;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiColorOptionsDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiColorOptionsDialogComponent, "sti-color-options-dialog", never, {}, {}, never, never, false, never>;
}
